# Moderator API . series . responses

## Instance Methods

Searches the responses for the specified series and returns the search results.

### Method Details

`list(seriesId, sort=None, author=None, q=None, max_results=None, hasAttachedVideo=None, start_index=None)`

    Searches the responses for the specified series and returns the search results.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      sort: string, Sort order.
      author: string, Restricts the results to submissions by a specific author.
      q: string, Search query.
      max_results: integer, Maximum number of results to return.
      hasAttachedVideo: boolean, Specifies whether to restrict to submissions that have videos attached.
      start_index: integer, Index of the first result to be retrieved.

    Returns:
      An object of the form:

        {
        "items": [
          {
            "kind": "moderator#series",
            "description": "A String",
            "rules": {
              "votes": {
                "close": "A String",
                "open": "A String",
              },
              "submissions": {
                "close": "A String",
                "open": "A String",
              },
            },
            "unauthVotingAllowed": True or False,
            "videoSubmissionAllowed": True or False,
            "name": "A String",
            "numTopics": 42,
            "anonymousSubmissionAllowed": True or False,
            "unauthSubmissionAllowed": True or False,
            "id": {
              "seriesId": "A String",
            },
            "counters": {
              "users": 42,
              "noneVotes": 42,
              "videoSubmissions": 42,
              "minusVotes": 42,
              "anonymousSubmissions": 42,
              "submissions": 42,
              "plusVotes": 42,
            },
          },
        ],
        "kind": "moderator#seriesList",
      }